Bug 98972 - Writer table: changing data changes cell format; changing format changes cell data
Summary: Writer table: changing data changes cell format; changing format changes cell...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.1.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2016-03-30 05:03 UTC by Paul
Modified: 2019-01-31 17:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
writer file with simple table formatting problem (14.04 KB, application/vnd.oasis.opendocument.text)
2016-03-30 05:03 UTC, Paul
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul 2016-03-30 05:03:42 UTC
Created attachment 123944 [details]
writer file with simple table formatting problem

In Writer 5.1.1.3, I have a simple 2 column table. The first column is formatted to Date (MM/YY).

Problem One:
If I change data in any of the cells in that column, that cell switches to Text format, and the numbers correspondingly jump to the left side of the cell.

Problem Two:
I then select the cells, go to Table / numeric format, and switch them back to the Date - MM/YY format. In the preview box it shows the first cell's contents, in my case 12/99. When I OK that dialog, the contents of the second cell, 07/89, are changed to 12/99, matching the first cell.

Test file attached.
Comment 1 raal 2016-03-30 07:47:56 UTC
I can confirm Version: 5.2.0.0.alpha0+; win7:
changed first cell (format Date) 12. 99  to 12. 88 and format is Text, but date stay on the right side
Comment 2 Oliver Specht (CIB) 2016-04-05 13:37:16 UTC
Problem one is caused by the number detection. Depending on the locale a "12.99" might be detected as decimal number or as a string. It can not be detected as Date because that would require three values like 12/04/15 or 04.12.15 depending on the locale. 
If "12.99" is detected as value - for instance with en-US locale - you would still be surprised about the conversion to date (January 11, 1900). 
For me this is not a bug.

Problem two is also caused by number detection. The string "07/89" is converted to a value - which doesn't work with a e.g. German locale, as above - and the resulting zero is converted to a date value of December 30, 1899. In a en-US local it would result in July 1st, 1989. Also not a bug IMO.
Comment 3 Paul 2016-04-05 13:47:28 UTC
To clarify - I use the en-US Locale. I used the format 12/99, not 12.99. LO did see it as a number, apparently, because on Date format it was right-justified.
Comment 4 QA Administrators 2017-05-22 13:18:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522